VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::DatastoreTypes::Summary Class Reference

The `Datastore.Summary` class contains commonly used information about a datastore. More...

List of all members.

## Public Member Functions
| Summary ()
| Creates a default new instance.
string | GetDatastore ()
| Identifier of the datastore.
void | SetDatastore (string datastore)
| Identifier of the datastore.
string | GetName ()
| Name of the datastore.
void | SetName (string name)
| Name of the datastore.
vmware.vcenter.DatastoreTypes.Type | Get_Type ()
| Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datatore.
void | SetType (vmware.vcenter.DatastoreTypes.Type type)
| Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datatore.
long | GetFreeSpace ()
| Available space of this datastore, in bytes.
void | SetFreeSpace (long?freeSpace)
| Available space of this datastore, in bytes.
long | GetCapacity ()
| Capacity of this datastore, in bytes.
void | SetCapacity (long?capacity)
| Capacity of this datastore, in bytes.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Datastore.Summary` class contains commonly used information about a datastore.

## Constructor & Destructor Documentation

vmware::vcenter::DatastoreTypes::Summary::Summary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::DatastoreTypes::Summary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::DatastoreTypes::Summary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::DatastoreTypes::Summary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::DatastoreTypes::Summary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::DatastoreTypes::Summary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::DatastoreTypes::Summary::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.DatastoreTypes.Type vmware::vcenter::DatastoreTypes::Summary::Get_Type | ( |  | ) | `[inline]`

Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datatore.

long vmware::vcenter::DatastoreTypes::Summary::GetCapacity | ( |  | ) | `[inline]`

Capacity of this datastore, in bytes.

The server periodically updates this value.

string vmware::vcenter::DatastoreTypes::Summary::GetDatastore | ( |  | ) | `[inline]`

Identifier of the datastore.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

long vmware::vcenter::DatastoreTypes::Summary::GetFreeSpace | ( |  | ) | `[inline]`

Available space of this datastore, in bytes.

The server periodically updates this value.

override int vmware::vcenter::DatastoreTypes::Summary::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::DatastoreTypes::Summary::GetName | ( |  | ) | `[inline]`

Name of the datastore.

void vmware::vcenter::DatastoreTypes::Summary::SetCapacity | ( | long? | capacity | ) | `[inline]`

Capacity of this datastore, in bytes.

The server periodically updates this value.

void vmware::vcenter::DatastoreTypes::Summary::SetDatastore | ( | string | datastore | ) | `[inline]`

Identifier of the datastore.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

void vmware::vcenter::DatastoreTypes::Summary::SetFreeSpace | ( | long? | freeSpace | ) | `[inline]`

Available space of this datastore, in bytes.

The server periodically updates this value.

void vmware::vcenter::DatastoreTypes::Summary::SetName | ( | string | name | ) | `[inline]`

Name of the datastore.

void vmware::vcenter::DatastoreTypes::Summary::SetType | ( | vmware.vcenter.DatastoreTypes.Type | type | ) | `[inline]`

Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datatore.

override string vmware::vcenter::DatastoreTypes::Summary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DatastoreTypes.cs